# wxLogBuffer Class Reference
[Logging]

`#include </home/work/projects/wx/2.9/wx/interface/wx/log.h>`

Inheritance diagram for wxLogBuffer:
[legend]

## Detailed Description

wxLogBuffer is a very simple implementation of log sink which simply collects all the logged messages in a string (except the debug messages which are output in the usual way immediately as we're presumably not interested in collecting them for later).

The messages from different log function calls are separated by the new lines.

All the messages collected so far can be shown to the user (and the current buffer cleared) by calling the overloaded wxLogBuffer::Flush method.

##

Library: wxBase
Category: Logging

## Public Member Functions

| wxLogBuffer ()
| The default ctor does nothing.
virtual void | Flush ()
| Shows all the messages collected so far to the user (using a message box in the GUI applications or by printing them out to the console in text mode) and clears the internal buffer.
const wxString & | GetBuffer () const
| Returns the current buffer contains.

List of all members.

## Constructor & Destructor Documentation

wxLogBuffer::wxLogBuffer | ( |  | ) |

The default ctor does nothing.

## Member Function Documentation

virtual void wxLogBuffer::Flush | ( |  | ) | `[virtual]`

Shows all the messages collected so far to the user (using a message box in the GUI applications or by printing them out to the console in text mode) and clears the internal buffer.

Reimplemented from wxLog.

const wxString& wxLogBuffer::GetBuffer | ( |  | ) | const

Returns the current buffer contains.

Messages from different log function calls are separated with the new lines in the buffer. The buffer can be cleared by Flush() which will also show the current contents to the user.

|  | [ top ]